Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class MatchFieldDef.NormalizationGroup

    java.lang.Object
      com.sun.mdm.index.parser.MatchFieldDef.Group
          com.sun.mdm.index.parser.MatchFieldDef.NormalizationGroup

Enclosing class:
  MatchFieldDef

public class MatchFieldDef.NormalizationGroup
extends MatchFieldDef.Group

Field Summary
`(package private) java.lang.String` | `normalizedFieldID`
`(package private) java.lang.String` | `normalizedTargetField`
`(package private) java.lang.String` | `unnormalizedFieldID`
`(package private) java.lang.String` | `unnormalizedSourceField`

Fields inherited from class com.sun.mdm.index.parser.MatchFieldDef.Group
`alLocaleCodes, alTargetMapping, alUnstandardizedSourceFieldNames, domainSelector, localeFieldName, standardizationType`

Constructor Summary
`(package private)` | `MatchFieldDef.NormalizationGroup()`

Method Summary
`java.lang.String` | `getNormalizedFieldId()`
`java.lang.String` | `getNormalizedSourceFieldName()`
`java.lang.String` | `getUnnormalizedFieldId()`
`java.lang.String` | `getUnnormalizedSourceFieldName()`
`void` | `setNormalizedFieldId(java.lang.String value)`
`void` | `setNormalizedSourceFieldName(java.lang.String value)`
`void` | `setUnnormalizedFieldId(java.lang.String value)`
`void` | `setUnnormalizedSourceFieldName(java.lang.String value)`

Methods inherited from class com.sun.mdm.index.parser.MatchFieldDef.Group
`addLocaleCode, addLocaleCode, addTargetMapping, addUnstandardizedSourceField, getDomainSelector, getLocaleCodes, getLocaleFieldName, getStandardizationType, getTargetMapping, getTargetMappingFieldIDsBySourceField, getTargetMappings, getUnstandardizedSourceFields, Group, setDomainSelector, setLocaleCodes, setLocaleFieldName, setStandardizationType, setTargetMappings, setUnstandardizedSourceFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### normalizedFieldID

    java.lang.String normalizedFieldID

### normalizedTargetField

    java.lang.String normalizedTargetField

### unnormalizedFieldID

    java.lang.String unnormalizedFieldID

### unnormalizedSourceField

    java.lang.String unnormalizedSourceField

Constructor Detail

### MatchFieldDef.NormalizationGroup

    MatchFieldDef.NormalizationGroup()

Method Detail

### getNormalizedFieldId

    public java.lang.String getNormalizedFieldId()

### getNormalizedSourceFieldName

    public java.lang.String getNormalizedSourceFieldName()

### getUnnormalizedFieldId

    public java.lang.String getUnnormalizedFieldId()

### getUnnormalizedSourceFieldName

    public java.lang.String getUnnormalizedSourceFieldName()

### setNormalizedFieldId

    public void setNormalizedFieldId(java.lang.String value)

### setNormalizedSourceFieldName

    public void setNormalizedSourceFieldName(java.lang.String value)

### setUnnormalizedFieldId

    public void setUnnormalizedFieldId(java.lang.String value)

### setUnnormalizedSourceFieldName

    public void setUnnormalizedSourceFieldName(java.lang.String value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.